<bugID>1092922<Summary>"Pause on exceptions" forces you to unwind the stack manually</Summary><Description>If you enable "pause on exceptions" and throw an exception that is unhandled, for some reason it pauses on every single frame in the stack as it is popped up. You have to basically unwind the stack manually. This is pointless since you have the frames on the original pause, and you can walk up it then if you like. (as a small data point, Chrome doesn't do this)

STR:

1. http://jlongster.com/s/pause-unwind/
2. Open debugger and enable "pause on exceptions"
3. Reload and press "continue" when it's paused. You'll have to press continue several times to get out of it

I'm not entirely sure how this is implemented (or if it's intentional) but it also seems ripe for bugs about when something other JS executes and we accidentally pause it.</Description></bugID>